commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Don Brown <donald.br...@gmail.com>
Subject Re: [commons-build] Site build problem
Date Fri, 09 Sep 2005 22:30:07 GMT
Well, synchronizing with your list didn't help, but upgrading to version 
1.9.2 of the xdoc plugin did. I had just gotten over a case of Maven-phobia, 
but I'm afraid I'm regressing :/

Thanks for the help, regardless :)

Don

On 9/9/05, James Carman <james@carmanconsulting.com> wrote:
> 
> Here's my list. The commons-proxy build works just fine with this set of
> plugins:
> 
> maven-abbot-plugin-1.1
> maven-announcement-plugin-1.3
> maven-ant-plugin-1.8.1
> maven-antlr-plugin-1.2.1
> maven-appserver-plugin-2.0
> maven-artifact-plugin-1.4.1
> maven-ashkelon-plugin-1.2
> maven-aspectj-plugin-3.2
> maven-aspectwerkz-plugin-1.2
> maven-caller-plugin-1.1
> maven-castor-plugin-1.2
> maven-changelog-plugin-1.8.1
> maven-changes-plugin-1.5.1
> maven-checkstyle-plugin-2.5
> maven-clean-plugin-1.3
> maven-clover-plugin-1.8
> maven-console-plugin-1.1
> maven-cruisecontrol-plugin-1.6
> maven-dashboard-plugin-1.6
> maven-developer-activity-plugin-1.5.1
> maven-dist-plugin-1.6.1
> maven-docbook-plugin-1.2
> maven-ear-plugin-1.6
> maven-eclipse-plugin-1.9
> maven-ejb-plugin-1.5
> maven-faq-plugin-1.4
> maven-file-activity-plugin-1.5.1
> maven-genapp-plugin-2.2
> maven-gump-plugin-1.4
> maven-hibernate-plugin-1.2
> maven-html2xdoc-plugin-1.3.1
> maven-idea-plugin-1.5
> maven-j2ee-plugin-1.5.1
> maven-jalopy-plugin-1.3.1
> maven-jar-plugin-1.6.1
> maven-java-plugin-1.5
> maven-javacc-plugin-1.1
> maven-javadoc-plugin-1.7
> maven-jboss-plugin-1.5
> maven-jbuilder-plugin-1.5
> maven-jcoverage-plugin-1.0.9
> maven-jdee-plugin-1.1
> maven-jdepend-plugin-1.5
> maven-jdeveloper-plugin-1.4
> maven-jdiff-plugin-1.4
> maven-jellydoc-plugin-1.3.1
> maven-jetty-plugin-1.1
> maven-jira-plugin-1.1.2
> maven-jnlp-plugin-1.4.1
> maven-junit-doclet-plugin-1.2
> maven-junit-report-plugin-1.5
> maven-jxr-plugin-1.4.2
> maven-latex-plugin-1.4.1
> maven-latka-plugin-1.4.1
> maven-license-plugin-1.2
> maven-linkcheck-plugin-1.3.4
> maven-multichanges-plugin-1.1
> maven-multiproject-plugin-1.3.1
> maven-native-plugin-1.1
> maven-nsis-plugin-1.1
> maven-pdf-plugin-2.2.1
> maven-plugin-plugin-1.5.2
> maven-pmd-plugin-1.6
> maven-pom-plugin-1.4.1
> maven-rar-plugin-1.0
> maven-release-plugin-1.4.1
> maven-repository-plugin-1.2
> maven-scm-plugin-1.4.1
> maven-shell-plugin-1.1
> maven-simian-plugin-1.4
> maven-site-plugin-1.5.2
> maven-spy-plugin-0.2.7
> maven-struts-plugin-1.3
> maven-tasklist-plugin-2.3
> maven-test-plugin-1.6.2
> maven-tjdo-plugin-1.0.0
> maven-uberjar-plugin-1.2
> maven-vdoclet-plugin-1.2
> maven-war-plugin-1.6.1
> maven-webserver-plugin-2.0
> maven-wizard-plugin-1.1
> maven-xdoc-plugin-1.8
> 
> -----Original Message-----
> From: Don Brown [mailto:donald.brown@gmail.com]
> Sent: Friday, September 09, 2005 6:08 PM
> To: James Carman
> Cc: Jakarta Commons Developers List
> Subject: Re: [commons-build] Site build problem
> 
> Didn't help. Besides, I thought Maven would download plugins automatically
> from the network. By "upgrading", I downloaded the 1.5 jar and put it in 
> my
> maven home /plugins directory. Any other ideas?
> 
> Don
> 
> On 9/9/05, James Carman <james@carmanconsulting.com> wrote:
> >
> > I had to upgrade one of the maven plugins to fix that, I believe. Which
> > version of the jdepend plugin do you have? I'm at version 1.5. I'm not
> > absolutely sure that's the plugin that I upgraded.
> >
> > -----Original Message-----
> > From: Don Brown [mailto:donald.brown@gmail.com]
> > Sent: Friday, September 09, 2005 5:52 PM
> > To: Jakarta Commons Developers List
> > Subject: [commons-build] Site build problem
> >
> > It seems this maven problem affects all the commons projects that use 
> the
> > commons-build. I'm seeing it on Linux and Windows, both running Maven
> > 1.0.2.
> >
> > Again, the problem is when running "maven site". When it gets to the
> > jdepend
> >
> > report, I see:
> >
> > xdoc:jelly-transform:
> > [echo] Generating
> > /home/mrdon/dev/fileupload/target/docs/jdepend-report.htmlfrom
> > /home/mrdon/dev/fileupload/target/generated-xdocs/jdepend-
> > report.xml
> > Could not find the class: 
> org.apache.commons.jelly.tags.fmt.FmtTagLibrary
> > java.lang.ClassNotFoundException:
> > org.apache.commons.jelly.tags.fmt.FmtTagLibrary
> > at java.net.URLClassLoader$1.run(URLClassLoader.java:199)
> > at java.security.AccessController.doPrivileged(Native Method)
> > at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
> > at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
> > at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
> > at org.apache.commons.jelly.JellyContext.getTagLibrary(JellyContext.java
> > :425)
> > ...
> > Underlying exception: java.lang.ClassNotFoundException: fmt
> > java.lang.ClassNotFoundException: fmt
> > at java.net.URLClassLoader$1.run(URLClassLoader.java:199)
> > at java.security.AccessController.doPrivileged(Native Method)
> > at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
> > at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
> > at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
> > at org.apache.commons.jelly.parser.XMLParser.createTag(XMLParser.java
> > :1039)
> > ...
> > Could not create taglib or URI: jelly:fmt tag name: message
> > java.lang.ClassNotFoundException: fmt
> > at org.apache.commons.jelly.parser.XMLParser.createSAXException(
> > XMLParser.java:1234)
> > at org.apache.commons.jelly.parser.XMLParser.createTag(XMLParser.java
> > :1044)
> > at org.apache.commons.jelly.parser.XMLParser.startElement(XMLParser.java
> > :647)
> > at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown
> > Source)
> > ...
> > Underlying exception: java.lang.ClassNotFoundException: fmt
> > java.lang.ClassNotFoundException: fmt
> > at org.apache.commons.jelly.parser.XMLParser.createSAXException(
> > XMLParser.java:1234)
> > at org.apache.commons.jelly.parser.XMLParser.createTag(XMLParser.java
> > :1044)
> > at org.apache.commons.jelly.parser.XMLParser.startElement(XMLParser.java
> > :647)
> > at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown
> > Source)
> >
> > Is anyone else seeing this problem? I've tried removing ~/.maven but 
> with
> > no
> >
> > luck.
> >
> > Don
> >
> >
> >
> 
> 
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message